.menu-buttons {
    display: flex;
    gap: .45rem
}
.menu-btn {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid silver;
    background-color: #f8f9fa;
    transition: all 0.2s ease
}
.menu-btn:hover {
    background-color: #e9ecef;
    border-color: #dee2e6
}
.input-box {
    height: 40px;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    font-size: 1.2rem;
    border: 1px solid silver
}
.bi {
    height: 1.6rem
}
.menu-1-link {
    text-decoration: none;
    color: #212529;
    padding: .75rem 1rem;
    display: block;
    border-radius: .375rem;
    transition: background-color 0.2s ease
}
.menu-1-link:hover {
    background-color: #f8f9fa;
    color: #212529
}
.menu-1-link.active {
    background-color: #dc3545;
    color: #fff
}
.clear-input-btn {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    border: none;
    background: #fff0;
    font-size: 1.2rem;
    cursor: pointer;
    display: none
}
.input-clear-wrapper {
    position: relative;
    flex: 1
}


    @media (min-width: 992px) {
        .bd-layout {
            display: flex;
            gap: 1rem;
            align-items: flex-start;
            max-width: 100%;
            margin: 0;
            width: 100%;
        }

        .bd-main {
            flex: 1;
            order: 1;
            display: grid;
            grid-template-areas: 
              "intro toc"
              "content toc";
            grid-template-rows: auto 1fr;
            grid-template-columns: 1fr auto;
            gap: 0;
            width: 100%;
            padding: 0;
        }

        /* Overrides the 280px width from tablet, but keeps order/flex-shrink */
        .bd-sidebar {
            order: 2;
            width: 340px;
            flex-shrink: 0;
        }
        
        .offcanvas-lg.offcanvas-end {
            position: static;
            background: transparent;
            border: none;
            height: auto;
            max-width: 100%;
        }

        .offcanvas-lg.offcanvas-end .offcanvas-header {
            display: none;
        }

        .bd-intro {
            grid-area: intro;
            padding: 0;
            margin: 0;
            width: 100%;
        }

        .bd-content {
            grid-area: content; /* Just adding the grid area designation here */
        }

        .sticky-lg {
            position: sticky;
            top: 60px;
        }
    }
    
    /* 1. Global / Mobile First Styles */
    .bd-gutter {
        --bs-gutter-x: 1.1rem;
    }

    /* Since this applied to all breakpoints, it belongs out here */
    .bd-content {
        width: 100%;
        padding: 0;
        margin: 0;
        max-width: none;
    } 